/*
 @copyright Copyright (C) 2020 Intel Corporation. All Rights Reserved

 @license Intel proprietary license

 @file color.js

 @description
    This java script is used to color code the Test results.
*/
let tables = document.getElementsByTagName('table');

for (let table of tables) {
	let headers = table.tHead.children[0].cells;
	let index = 0
	let cIndex = 0

	for (let header of headers) {
	  if (header.innerHTML.toLowerCase() === 'status') {
		index = header.cellIndex;
	  }
	  if (header.innerHTML.toLowerCase() === 'color') {
		cIndex = header.cellIndex;
	  }
	}

	if (index !== 0) {
		for (let row of table.rows) {
			let cell = row.cells[index];
			if (cell.innerText.toLowerCase() === 'pass') {
				cell.className = 'pass';
			} else if(cell.innerText.toLowerCase() === 'failed'){
				cell.className = 'failed';
			} else if(cell.innerText.toLowerCase() === 'fail'){
				cell.className = 'fail';
			} else if(cell.innerText.toLowerCase() === 'success'){
				cell.className = 'success';
			} else if(cell.innerText.toLowerCase() !== 'status'){
				cell.className = 'other';
			}
		}
	}

	if (cIndex !== 0) {
		for (let row of table.rows) {
			let cell = row.cells[cIndex];
			cell.style.backgroundColor = cell.innerText.toLowerCase()
			cell.innerText = ""
		}
	}
}
